uniform lowp vec3 lightTint;
uniform lowp vec3 darkTint;

/////////////////////////////////////////////////////////
// TwoColorTint

//The current foreground texture co-ordinate
varying mediump vec2 vTex;
//The foreground texture sampler, to be sampled at vTex
uniform lowp sampler2D samplerFront;

void main(void)
{
    mediump vec4 texColor = texture2D(samplerFront, vTex);
    gl_FragColor.a = texColor.a;
    gl_FragColor.rgb = ((texColor.a - 1.0) + 1.0 - texColor.rgb) * darkTint + texColor.rgb * lightTint;
}